# Generated from extracter-1.1.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name extracter

Name: rubygem-%{gem_name}
Version: 1.1.8
Release: 1%{?dist}
Summary: This fairly small class/library can be used to extract different archive formats such as .tar.bz2 or .tbz - archives such as .gem and .lzma will also work.  You can also extract audio, by making use of class ExtractAudio. The latter is - and should be - optional though.  Usage example:  require 'extracter'  Extracter.new('/foo/bla-1.0.tar.bz2')  The second argument that can be passed to the method new() specifies where we should extract to, example:  Extracter.new('/foo/bla-1.0.tar.bz2', '/opt')  This would extract to the /opt directory.  You can query whether input is an archive or not via:  Extracter.is_archive? 'foo.tar.xz'  As of April 2014 we also provide a bin/extract file, so that you can simply extract something from the commandline.  Since as of November 2018, class Extracter can also "extract" .iso files. (The .iso will be mounted to a directory that will be created, actually.)  If you have a specific suggestion to make this gem more useful for others, please drop me an email at:  shevegen@gmail.com  Thank you
License: GPL-2.0
URL: http://rubygems.org/gems/extracter
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 3.2.16
BuildRequires: ruby >= 3.0.1
BuildArch: noarch

%description
This fairly small class/library can be used to extract different archive
formats such as .tar.bz2 or .tbz - archives such as .gem and .lzma
will also work.
You can also extract audio, by making use of class ExtractAudio. The
latter is - and should be - optional though.
Usage example:
require 'extracter'
Extracter.new('/foo/bla-1.0.tar.bz2')
The second argument that can be passed to the method new()
specifies where we should extract to, example:
Extracter.new('/foo/bla-1.0.tar.bz2', '/opt')
This would extract to the /opt directory.
You can query whether input is an archive or not via:
Extracter.is_archive? 'foo.tar.xz'
As of April 2014 we also provide a bin/extract file, so that
you can simply extract something from the commandline.
Since as of November 2018, class Extracter can also "extract"
.iso files. (The .iso will be mounted to a directory that
will be created, actually.)
If you have a specific suggestion to make this gem more useful
for others, please drop me an email at:
shevegen@gmail.com
Thank you.
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/USAGE.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/doc
%{gem_instdir}/extracter.gemspec
%{gem_instdir}/test

%changelog
* Mon Aug 23 2021 mockbuilder - 1.1.8-1
- Initial package
